Bug 1125196 - Clone VM is blocked with ACTION_TYPE_FAILED_TEMPLATE_NOT_EXISTS_IN_CURRENT_DC
Summary: Clone VM is blocked with ACTION_TYPE_FAILED_TEMPLATE_NOT_EXISTS_IN_CURRENT_DC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Maor
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-07-31 09:51 UTC by Maor
Modified: 2016-02-10 19:49 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:25:27 UTC
oVirt Team: Virt


Attachments (Terms of Use)
engine log (1.79 KB, text/x-log)
2014-07-31 09:51 UTC, Maor
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30888 None None None Never
oVirt gerrit 31013 ovirt-engine-3.5 MERGED core: Use validation only if Template is not blank Never

Description Maor 2014-07-31 09:51:33 UTC
Created attachment 922865 [details]
engine log

Description of problem:
Cloning a VM which is not based on Template on a Data Center different then the default will be blocked with the message ACTION_TYPE_FAILED_TEMPLATE_NOT_EXISTS_IN_CURRENT_DC

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM on a different DC the the default
2. Clone the VM (From snapshot or from the VM)
3.

Actual results:
We will get the message "The specified Template doesn't exist in the current Data Center"

Expected results:
The clone should be succeeded

Additional info:

Comment 1 Pavel Novotny 2014-08-07 15:23:30 UTC
Verified in ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch (rc1).

Verification steps:
1. Have a data center DC1.
2. Create new VM from Blank template in data center DC1.
3.
  a) Clone the VM
  b) Create a snapshot and clone new VM from it

Results:
3 a), b) Both succeeded, cloned VMs were successfully created.

Comment 2 Sandro Bonazzola 2014-10-17 12:25:27 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.